### Method

# FwupdPlugin Device incorporate

since: 2.0.0

#### Declaration [src]

    void
    fu_device_incorporate (
      FuDevice* self,
      FuDevice* donor,
      FuDeviceIncorporateFlags flag
    )

#### Description [src]

Copy some properties from the donor object if they have not already been set.

Available since: 2.0.0

#### Parameters

`donor`

  Type: `FuDevice`

  Another `FuDevice`.

  The data is owned by the caller of the method.

`flag`

  Type: `FuDeviceIncorporateFlags`

  Some `FuDeviceIncorporateFlags`, e.g. `FU_DEVICE_INCORPORATE_FLAG_PHYSICAL_ID`.